Index: Dev/LoggingTool/LoggingTool.csproj
===================================================================
--- Dev/LoggingTool/LoggingTool.csproj	(revision 3)
+++ Dev/LoggingTool/LoggingTool.csproj	(revision 4)
@@ -54,25 +54,16 @@
   </ItemGroup>
   <ItemGroup>
-    <Compile Include="LoggingTool.cs" />
     <Compile Include="interfaces\TeamUpLogic.cs" />
     <Compile Include="interfaces\ILoggerLogic.cs" />
     <Compile Include="interfaces\TeamUpSpreadsheetOutput.cs" />
     <Compile Include="interfaces\ILoggerOutput.cs" />
-    <Compile Include="models\SVData.cs" />
     <Compile Include="models\TeamUpEvent.cs" />
     <Compile Include="models\TeamUpQuestionnaire.cs" />
     <Compile Include="models\LoggerMessage.cs" />
     <Compile Include="models\TeamUpSpreadsheetMessage.cs" />
-    <Compile Include="network\SVProtocolClientData.cs" />
-    <Compile Include="network\SVProtocol.cs" />
     <Compile Include="TestSpreadsheetOutput.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
   </ItemGroup>
-  <ItemGroup>
-    <ProjectReference Include="..\..\..\UDKTCPLink\UDKTCPLink\UDKTCPLink.csproj">
-      <Project>{5FB0E6BA-4999-494D-B6A4-7E884E6B4B6F}</Project>
-      <Name>UDKTCPLink</Name>
-    </ProjectReference>
-  </ItemGroup>
+  <ItemGroup />
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
   <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
Index: Dev/LoggingTool/LoggingTool.sln
===================================================================
--- Dev/LoggingTool/LoggingTool.sln	(revision 3)
+++ Dev/LoggingTool/LoggingTool.sln	(revision 4)
@@ -4,36 +4,14 @@
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "LoggingTool", "LoggingTool.csproj", "{B5F52C17-DB39-47A9-8A4A-31FB4DE899EA}"
 EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "UDKTCPLink", "..\..\..\UDKTCPLink\UDKTCPLink\UDKTCPLink.csproj", "{5FB0E6BA-4999-494D-B6A4-7E884E6B4B6F}"
-EndProject
 Global
 	GlobalSection(SolutionConfigurationPlatforms) = preSolution
-		Debug|Any CPU = Debug|Any CPU
-		Debug|Mixed Platforms = Debug|Mixed Platforms
 		Debug|x86 = Debug|x86
-		Release|Any CPU = Release|Any CPU
-		Release|Mixed Platforms = Release|Mixed Platforms
 		Release|x86 = Release|x86
 	EndGlobalSection
 	GlobalSection(ProjectConfigurationPlatforms) = postSolution
-		{B5F52C17-DB39-47A9-8A4A-31FB4DE899EA}.Debug|Any CPU.ActiveCfg = Debug|x86
-		{B5F52C17-DB39-47A9-8A4A-31FB4DE899EA}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
-		{B5F52C17-DB39-47A9-8A4A-31FB4DE899EA}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{B5F52C17-DB39-47A9-8A4A-31FB4DE899EA}.Debug|x86.ActiveCfg = Debug|x86
 		{B5F52C17-DB39-47A9-8A4A-31FB4DE899EA}.Debug|x86.Build.0 = Debug|x86
-		{B5F52C17-DB39-47A9-8A4A-31FB4DE899EA}.Release|Any CPU.ActiveCfg = Release|x86
-		{B5F52C17-DB39-47A9-8A4A-31FB4DE899EA}.Release|Mixed Platforms.ActiveCfg = Release|x86
-		{B5F52C17-DB39-47A9-8A4A-31FB4DE899EA}.Release|Mixed Platforms.Build.0 = Release|x86
 		{B5F52C17-DB39-47A9-8A4A-31FB4DE899EA}.Release|x86.ActiveCfg = Release|x86
 		{B5F52C17-DB39-47A9-8A4A-31FB4DE899EA}.Release|x86.Build.0 = Release|x86
-		{5FB0E6BA-4999-494D-B6A4-7E884E6B4B6F}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{5FB0E6BA-4999-494D-B6A4-7E884E6B4B6F}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{5FB0E6BA-4999-494D-B6A4-7E884E6B4B6F}.Debug|Mixed Platforms.ActiveCfg = Debug|Any CPU
-		{5FB0E6BA-4999-494D-B6A4-7E884E6B4B6F}.Debug|Mixed Platforms.Build.0 = Debug|Any CPU
-		{5FB0E6BA-4999-494D-B6A4-7E884E6B4B6F}.Debug|x86.ActiveCfg = Debug|Any CPU
-		{5FB0E6BA-4999-494D-B6A4-7E884E6B4B6F}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{5FB0E6BA-4999-494D-B6A4-7E884E6B4B6F}.Release|Any CPU.Build.0 = Release|Any CPU
-		{5FB0E6BA-4999-494D-B6A4-7E884E6B4B6F}.Release|Mixed Platforms.ActiveCfg = Release|Any CPU
-		{5FB0E6BA-4999-494D-B6A4-7E884E6B4B6F}.Release|Mixed Platforms.Build.0 = Release|Any CPU
-		{5FB0E6BA-4999-494D-B6A4-7E884E6B4B6F}.Release|x86.ActiveCfg = Release|Any CPU
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
Index: Dev/LoggingTool/TestSpreadsheetOutput.cs
===================================================================
--- Dev/LoggingTool/TestSpreadsheetOutput.cs	(revision 3)
+++ Dev/LoggingTool/TestSpreadsheetOutput.cs	(revision 4)
@@ -9,7 +9,4 @@
 using LoggingTool.models;
 using System.IO;
-using UDKTCPLink;
-using LoggingTool.network;
-using System.Threading;
 
 namespace LoggingTool
@@ -18,9 +15,9 @@
     {
 
-        /*static void Main(string[] args)
+        static void Main(string[] args)
         {
-            //new SpreadsheetLogicTest();
+            new SpreadsheetLogicTest();
             Console.ReadKey();
-        }*/
+        }
     }
     class SpreadsheetOutputTest
@@ -30,5 +27,5 @@
         public SpreadsheetOutputTest()
         {
-            output = new TeamUpSpeadsheetOutput("cpsgamingstreet@gmail.com", "wachtwoord2009", "GDataTest");
+            output = new TeamUpSpeadsheetOutput("kaidencez@gmail.com", "verboden", "GDataTest");
             LoggerMessage questionnaireMessage = new TeamUpSpreadsheetMessage(TeamUpSpreadsheetMessage.QUESTIONNAIRE, new List<String>() {"1", "11.8940", "1", "20", "0", "1", "2", "3", "4", "5", "6", "7", "8"});
             LoggerMessage eventMessage = new TeamUpSpreadsheetMessage(TeamUpSpreadsheetMessage.EVENT, new List<String>() {"1", "11.8940", "1337"});
@@ -38,66 +35,48 @@
     }
 
-    /* class SpreadsheetLogicTest
-     {
-         private ILoggerLogic logic;
-         private ILoggerOutput output;
-         private ILoggerInput input;
+    class SpreadsheetLogicTest
+    {
+        private ILoggerLogic logic;
+        private ILoggerOutput output;
 
-         public SpreadsheetLogicTest()
-         {
+        public SpreadsheetLogicTest()
+        {
+            logic = new TeamUpLogic();
+            output = new TeamUpSpeadsheetOutput("kaidencez@gmail.com", "verboden", "GDataTest");
+            //Create some filestreams for testing purposes
+            FileStream fQ = new FileStream("D:\\jkraaijeveld\\Desktop\\questionnaires.log", FileMode.Open);
+            FileStream fE = new FileStream("D:\\jkraaijeveld\\Desktop\\events.log", FileMode.Open);
+            StreamReader sQ = new StreamReader(fQ);
+            StreamReader sE = new StreamReader(fE);
 
-             Console.WriteLine("Setting up Logic");
-             logic = new TeamUpLogic();
-             Console.WriteLine("Setting up Output");
-             output = new TeamUpSpeadsheetOutput("cpsgamingstreet@gmail.com", "wachtwoord2009", "GDataTest");
-             Console.WriteLine("Setting up Input");
-             input = new TeamUpInput(logic);
+            //Read everything in both of the files
+            while (!sQ.EndOfStream)
+            {
+                logic.addInput(sQ.ReadLine());
+            }
+            while (!sE.EndOfStream)
+            {
+                logic.addInput(sE.ReadLine());
+            }
 
-             Console.WriteLine("Setting up Server");
-             TeamUpServer server = new TeamUpServer();
-             Console.WriteLine("Setting Protocol");
-             server.Protocol = new TeamUpProtocol(server);
-             Console.WriteLine("Activating Server");
-             server.Activate(input);
-             while (true)
-                 Thread.Sleep(1000);
-            
-            
-            /* 
-             //Create some filestreams for testing purposes
-             FileStream fQ = new FileStream("D:\\jkraaijeveld\\Desktop\\questionnaires.log", FileMode.Open);
-             FileStream fE = new FileStream("D:\\jkraaijeveld\\Desktop\\events.log", FileMode.Open);
-             StreamReader sQ = new StreamReader(fQ);
-             StreamReader sE = new StreamReader(fE);
-
-             //Read everything in both of the files
-             while (!sQ.EndOfStream)
-             {
-                 logic.addInput(sQ.ReadLine());
-             }
-             while (!sE.EndOfStream)
-             {
-                 logic.addInput(sE.ReadLine());
-             }
-
-             //Create all the models
-             logic.createModels();
-             //Write them
-             List<LoggerMessage> messages = logic.formatModels();
-             foreach (LoggerMessage message in messages)
-             {
-                 output.send(message);
-             }
-         }
-     }*/
-
-
-
-
-
-
-
-
-
+            //Create all the models
+            logic.createModels();
+            //Write them
+            List<LoggerMessage> messages = logic.formatModels();
+            foreach (LoggerMessage message in messages)
+            {
+                output.send(message);
+            }
+        }
+    }
+       
+    
+    
+    
+    
+    
+    
+    
+    
     /*static void Main(string[] args)
         {