Index: /Dev/trunk/classes/NewSurveyButton.php
===================================================================
--- /Dev/trunk/classes/NewSurveyButton.php	(revision 10)
+++ /Dev/trunk/classes/NewSurveyButton.php	(revision 10)
@@ -0,0 +1,27 @@
+<?php
+/*
+ * To change this template, choose Tools | Templates
+ * and open the template in the editor.
+ */
+
+/**
+ * Description of NewSurveyButton
+ *
+ * @author fpvanagthoven
+ */
+class NewSurveyButton {
+
+    public function __construct() {
+        ?>
+
+        <form action="surveycreation.php" method="post">
+
+            <input id="newSurveyButton" type="submit" name="btnlogin" value="Create new survey" class="button" />
+
+        </form>
+
+        <?php
+    }
+
+}
+?>
Index: /Dev/trunk/classes/SurveyCreationTool.php
===================================================================
--- /Dev/trunk/classes/SurveyCreationTool.php	(revision 10)
+++ /Dev/trunk/classes/SurveyCreationTool.php	(revision 10)
@@ -0,0 +1,36 @@
+<?php
+
+/**
+ * Description of SurveyTool
+ *
+ * SurveyTool is where the survey can be created.
+ * 
+ */
+class SurveyCreationTool {
+
+    public function __construct() {
+        
+    }
+
+    private static function titleBox() {
+        //textbox
+    }
+    
+    private static function descriptionBox()
+    {
+        //textarea
+    }
+    
+    private static function addQuestionButton()
+    {
+        
+    }
+    
+    private static function questionCreationForm()
+    {
+        
+    } 
+
+}
+
+?>
Index: /Dev/trunk/classes/master.php
===================================================================
--- /Dev/trunk/classes/master.php	(revision 10)
+++ /Dev/trunk/classes/master.php	(revision 10)
@@ -0,0 +1,15 @@
+<?php
+
+/**
+ * Description of master
+ * 
+ * For autoloading of classes for example.
+ *
+ * @author fpvanagthoven
+ */
+// Determine our absolute document root
+define('DOC_ROOT', realpath(dirname(__FILE__) . '/../'));
+
+function __autoload($class_name) {
+    require 'classes/' . $class_name . '.php';
+}
Index: /Dev/trunk/css/style.css
===================================================================
--- /Dev/trunk/css/style.css	(revision 10)
+++ /Dev/trunk/css/style.css	(revision 10)
@@ -0,0 +1,63 @@
+/* 
+    Document   : style
+    Created on : 12-jul-2011, 15:12:02
+    Author     : fpvanagthoven
+    Description:
+        Purpose of the stylesheet follows.
+*/
+
+/* 
+   TODO customize this sample style
+   Syntax recommendation http://www.w3.org/TR/REC-CSS2/
+*/
+
+root { 
+    display: block;
+}
+
+body {
+    font-family: sans-serif;
+    background-color: gainsboro;
+    margin: 0;
+    padding: 0;
+}
+
+#wrapper {
+    width: 80%;
+    margin: auto;
+}
+
+#header {
+    height: 4em;
+    background-color: slategrey;
+}
+
+#logo {
+    font-size: 2em;
+    color: white;
+    text-align: center;
+    line-height: 2em;
+}
+
+#newSurveyButton{
+    height: 3em;
+    width: 10em;
+}
+
+#content {
+    position: relative;
+    width: 100%;
+    padding: 2em;
+}
+
+#menu {
+    width: 20em;
+    margin: auto;
+    padding: 3em;
+    text-align: center;
+    background-color: #E3E3E3;
+    -moz-border-radius: 15px;
+    border-radius: 15px;
+}
+
+
Index: /Dev/trunk/index.php
===================================================================
--- /Dev/trunk/index.php	(revision 10)
+++ /Dev/trunk/index.php	(revision 10)
@@ -0,0 +1,23 @@
+<?php require 'classes/master.php'; //should be at top of every page   ?>
+
+<!DOCTYPE html>
+<html>
+    <head>
+        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+        <title>Facilitator</title>
+        <link rel="stylesheet" type="text/css" href="css/style.css" />
+    </head>
+    <body>
+        <div id="header">
+                <div id="logo">CPSFacilitator Tool </div>
+            </div>
+        <div id="wrapper">
+            
+            <div id="content">
+                <div id="menu">                
+                    <?php new NewSurveyButton(); ?>
+                </div>
+            </div>
+        </div>
+    </body>
+</html>
Index: /Dev/trunk/surveycreation.php
===================================================================
--- /Dev/trunk/surveycreation.php	(revision 10)
+++ /Dev/trunk/surveycreation.php	(revision 10)
@@ -0,0 +1,25 @@
+<?php require 'classes/master.php'; ?>
+
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
+    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
+
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
+    <head>
+        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+            <title>Survey</title>
+            <link rel="stylesheet" type="text/css" href="css/style.css" />
+    </head>
+    <body>
+        <div id="header">
+                <div id="logo">CPSFacilitator Tool </div>
+            </div>
+        <div id="wrapper">
+            
+            <div id="content">
+                <?php
+                    new SurveyCreationTool();
+                ?>
+            </div>
+        </div>
+    </body>
+</html>